#pragma once
#include <boost/unordered_map.hpp>
#include <vector>
struct M_everyday_taskData
{
	//ID
	int mID;
	//任务类型
	int mtaskType;
	//描述
	std::string mdes;
	//参数
	int64_t mparameter;
	//奖励
	std::vector<int> mreward;
	//VIP解锁等级
	int munlock;
};

class M_everyday_task
{
public:
private:
	static std::auto_ptr<M_everyday_task> msSingleton;
public:
	int GetCount();
	const M_everyday_taskData* GetData(int ID);
	boost::unordered_map<int, M_everyday_taskData>& GetMapData();
	void Reload();
	void Load(const std::string& path);
	void Load();
	static M_everyday_task* GetSingleton();
private:
	boost::unordered_map<int, M_everyday_taskData> mMapData;
};
